/*
 * Common styles for all pages.
 * Colors are set to neutral grayscale in this stylesheet.
 * Alternate color schemes are set in other stylesheets.
 */
 
*
{
margin:0;
padding:0;
}

img
{
border:0;
}

body
{
/* background color here will be the sidebar background color */
background-color:#e8e8e8;
color:#000000;
}

body, input, textarea
{
font-family:"Segoe UI", Tahoma, Geneva, Verdana, Arial, sans-serif;
font-size:10pt;
}

a:link, a:visited, a:active
{
color:#005599;
text-decoration:none;
}

a:hover
{
color:#005599;
text-decoration:underline;
}

a:link.admin, a:visited.admin, a:active.admin
{
color:#004499; /*#99ddee;*/ /*#cc3300;*/
text-decoration:none;
}

a:hover.admin
{
color:#003399;/*#cc3300;*/
text-decoration:underline;
}

p, h1, h2, h3, h4, h5, h6, ul, ol, form, table
{
padding:2pt 1pt 4pt 1pt;
}

h1, h2, h3, h4, h5, h6
{
font-family:Tahoma,sans-serif;
font-weight:bold;
padding:6pt 1pt 6pt 1pt;
}

h1
{
font-size:135%;
}

h2
{
font-size:120%;
}

h3
{
font-size:115%;
}

h4, h5, h6
{
font-size:105%;
}

li
{
margin-left:12pt;
}

td
{
padding:1px 1px 1px 2px;
}

.debug
{
color:#0000ff;
font-size:8pt;
}

.error
{
color:#bb0000;
font-weight:bold;
}

.success
{
color:#00dd55;
font-weight:bold;
}

.openid
{
font-family:Courier New;
}

.disclaimer
{
/* comments are owned by their respective authors... */
}

.keyword
{
/* highlighted search keywords */
color:black;
background-color:#f8f860;
}

#enablejs
{
/* warning box shown when javascript is disabled */
background-color:#ffe0e0;
border:2px solid #ff0000;
padding:8px;
margin-top:6pt;
margin-bottom:6pt;
}

#enablejs p
{
color:#bb0000;
font-weight:bold;
}
/* content panes */

#header
{
padding:0;
width:100%; /* could also do fixed width:900px;*/
margin:0 auto;
border-top:4px solid #444444;
border-bottom:4px solid #444444;
background-color:#666666;
color:#ffffff;
}

#titles h1
{
margin-left:6pt;
padding:0;
font-size:200%;
/*display:inline;*/
/*text-transform:lowercase;*/
vertical-align:baseline;
}

#titles h2
{
margin-left:6pt;
margin-top:4px;
margin-bottom:2px;
padding:0;
/*display:inline;*/
/*text-transform:lowercase;*/
vertical-align:baseline;
font-size:8pt;
}
/* login */

#plugin_login
{
float:right;
font-size:8pt;
margin-right:16px;
margin-top:4px;
}

#header #plugin_login a:link, #header #plugin_login a:visited,
#header #plugin_login a:active, #header #plugin_login a:hover
{
color:#a0a0a0;
}

#main
{
background-color:#ffffff;
float:left;
width:70%;
min-height:600px;
padding:6pt 1% 0 1%;
}

#main h1, #main h2
{
padding-bottom:12pt;
}

#main h3.date
{
color:#000000;
margin-bottom:12pt;
border-bottom:1px dashed #a0c0a0;
}

#main h3.title
{
color:#444444;
text-decoration:underline;
}

#main h3.title .channel, #main h3.title .updated
{
font-size:80%;
vertical-align:baseline;
}

#main input.txt, #main textarea.txt
{
padding:2px 2px 2px 2px;
}

#sidebar
{
float:left;
width:24%;
min-height:600px;
padding:6pt 1% 0 1%;
}

#sidebar .description
{
font-size:8pt;
}

#sidebar #plugin_login
{
float:right;
}

#sidebar sup
{
vertical-align:10%;
font-size:7pt;
font-weight:normal;
margin-left:2px;
}

#login_username, #login_password
{
width:90px;
}

#login_table
{
position:absolute;
left:0px; /* set in code */
border:1px solid #808080;
background-color:#ffffc0;
z-index:200;
}

#sidebar h3
{
margin-top:12pt;
}

#footer
{
color:#ffffff;
background-color:#777777;
font-size:8pt;
clear:left;
padding:2px;
}

/* post styles */

.navigation
{
text-align:right;
}

/*
 * classes are:
 * post_icon
 * exterior: post or status
 * interior: body or summary
 */

div.dateblock
{
padding-bottom:16pt;
}

table.post_shell
{
margin:6px 6px 0 12pt;
}

td.post_icon
{
padding:4px 6px 0 0;
}

div.post, div.status
{
/*padding:3pt 12pt 6pt 12pt;*/
}

div.smalldivider
{
height:2px;
}

div.largedivider
{
height:12px;
}

.post .body, .post .summary
{
font-size:12pt;
line-height:130%;
}

.status .body, .status .summary
{
font-size:12pt;
line-height:110%;
}

.comment .body, .commentsummary .body
{
font-size:10pt;
}

.body .quote
{
font-style:italic;
font-size:85%;
}

/*
.post h3 a:link, .post h3 a:visited, .post h3 a:active, .post h3 a:hover
{
color:#000000;
}
*/

.post .body blockquote, .post .body blockquote p
{
font-family:Courier New;
margin-left:12pt;
margin-right:12pt;
}

p.sharelink
{
font-weight:bold;
}

p.dateline
{
color:#999999;
font-size:8pt;
}

.dateline .author, .dateline .channel
{
font-weight:bold;
}

.status .dateline
{
/* squeeze up the dateline on status posts a bit */
padding-top:0;
}

div.links
{
margin-left:12pt;
}

/* nano post */

#txtStatus
{
font-family:Tahoma,sans-serif;
font-size:8pt;
width:100%;
height:50px;
}

#btnPostStatus
{
}

/* twitter updates plugin */

#plugin_twitter_updates
{
font-size:8pt;
float:right;
padding:2px 2px 2px 4px;
margin-left:8px;
margin-bottom:8px;
width:170px;
background-color:#f8f8f8;
border:1px solid #d0d0d0;
}

#plugin_twitter_updates li
{
color:#606060;
}

/* openid input */

#openid_url
{
background:#ffffff url('../../images/openid-icon-small.gif') no-repeat scroll 0pt 50%;
padding:2px 2px 2px 18px;
width:300px;
}

